## org.openmuc.jasn1.ber.types
Class BerBitString

    java.lang.Object
      org.openmuc.jasn1.ber.types.BerBitString

    public class BerBitString

extends java.lang.Object

Field Summary
`byte[]` `bitString`
`byte[]` `code`
`protected BerIdentifier` `id`
`static BerIdentifier` `identifier`
`int` `numBits`

Constructor Summary
`BerBitString()`
`BerBitString(byte[] code)`
`BerBitString(byte[] bitString, int numBits)`

Method Summary
`int` `decode(java.io.InputStream iStream, boolean explicit)`
`int` `encode(BerByteArrayOutputStream berOStream, boolean explicit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public static final BerIdentifier identifier

### id

    protected BerIdentifier id

### code

    public byte[] code

### bitString

    public byte[] bitString

### numBits

    public int numBits

Constructor Detail

### BerBitString

    public BerBitString()

### BerBitString

    public BerBitString(byte[] bitString,
                        int numBits)

### BerBitString

    public BerBitString(byte[] code)

Method Detail

### encode

    public int encode(BerByteArrayOutputStream berOStream,
                      boolean explicit)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public int decode(java.io.InputStream iStream,
                      boolean explicit)
               throws java.io.IOException

  Throws:
    `java.io.IOException`